# Poco::XML

# struct Content

Library: XML
Package: XML
Header: Poco/XML/Content.h

## Description

XML content model. C++11 enum class emulated for C++98.

    element   characters  whitespaces  notes
    no          no        ignored
    no          yes       preserved    content accumulated
    yes         no        ignored
    yes         yes       preserved

## Member Summary

Member Functions: operator value

## Enumerations

### value

Empty

Simple

Complex

Mixed

## Constructors

### Content

Content(
value v
);

## Member Functions

### operator value

operator value() const;